Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class SQL92SQLBuilderImpl

    java.lang.Object
      |
      +--oracle.jbo.server.BaseSQLBuilderImpl
            |
            +--oracle.jbo.server.SQL92SQLBuilderImpl

public class SQL92SQLBuilderImpl
extends BaseSQLBuilderImpl

SQL92-specific implementation of the `SQLBuilder` interface.

Since:
  JDeveloper 3.2

Field Summary
`static int` | `ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED`
`protected static java.lang.String` | `ORACLE_ROWID_COLUMN`

Constructor Summary
`protected` | `SQL92SQLBuilderImpl()` This is a singleton class

Method Summary
`java.lang.String` | `getDbType()` returns a string uniquely identifying this type of SQLBuilder.
`static SQLBuilder` | `getInterface()` Gets the singleton instance of this class.
`protected java.lang.String` | `getJDBCDriverClassName()` required override: provide the name of the default jdbc driver class
`java.lang.String` | `getVersion()` Gets a string describing the version of this implentation of this interface.

Methods inherited from class oracle.jbo.server.BaseSQLBuilderImpl
`bindInsertStatement, bindUpdateStatement, bindWhereClause, buildDeleteStatement, buildInsertStatement, buildSelectString, buildUpdateStatement, buildWhereClause, capabilityCanReuseLockStatements, convertFlags, doEntityDML, doEntitySelect, doLoadBulkFromResultSet, doLoadFromResultSet, doLoadFromStatement, doPreparedStatementDefineColumnType, doPreparedStatementDefines, doRegisterDefaultDriver, doStatementSetBindingStyle, doStatementSetBindingStyleDefault, doStatementSetRowPrefetch, dumpConstraint, generatePKBasedRef, generateRefAndOID, generateRowID, getBaseTable, getConstraints, getDefaultBindingStyle, getROWID, getSchemaList, getTableList, getWarningText, isCharType, isNumericType, isStreamType, populateJboTypeMapEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED

    public static final int ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED

### ORACLE_ROWID_COLUMN

    protected static final java.lang.String ORACLE_ROWID_COLUMN

Constructor Detail

### SQL92SQLBuilderImpl

    protected SQL92SQLBuilderImpl()

  This is a singleton class

Method Detail

### getInterface

    public static SQLBuilder getInterface()

  Gets the singleton instance of this class.

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: SQLBuilder
  Gets a string describing the version of this implentation of this interface.
  Overrides:
    getVersion in class BaseSQLBuilderImpl

### getDbType

    public java.lang.String getDbType()

  Description copied from interface: SQLBuilder
  returns a string uniquely identifying this type of SQLBuilder. Examples are: "Oracle" and "OLite"
  Overrides:
    getDbType in class BaseSQLBuilderImpl

### getJDBCDriverClassName

    protected java.lang.String getJDBCDriverClassName()

  required override: provide the name of the default jdbc driver class
  Overrides:
    getJDBCDriverClassName in class BaseSQLBuilderImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD